Subject: Re: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Oct 2023 11:42:55 +0300

> From: StrawberryTea <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Sat, 30 Sep 2023 17:55:27 -0500
> 
> Basically, when the text is folded, it uses the face of the first visible
> newline after the fold to determine the background.
> 
> The elisp approach is to maintain overlays at the end of each folded region and
> it becomes complicated with nested headings. I was thinking that instead, we
> could have the extend property (or an extra option on :extend) be used within
> the line to colorize the background of the newline at the end.

Sorry, I still don't understand what you mean by the last sentence.
(All the rest is understood, but it describes the current situation,
which I understand well enough to not need any explanations.)